Get a case with attachments

get

/api/boss/data/objects/ora/cxServiceCore/case/v1:1072/$en/cases/$views/attachments

Case attachments let you store and manage files such as documents for a case. You can use attachments to provide supplementary information about the case.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

Successful response of retrieving view attachments for resource Cases
Body ()
Root Schema : cases_view-attachments
Match All
Case attachments let you store and manage files such as documents for a case. You can use attachments to provide supplementary information about the case.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : cases_view-attachments-allOf[1]
Type: object
Case attachments let you store and manage files such as documents for a case. You can use attachments to provide supplementary information about the case.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : $context
Type: object
Show Source
Nested Schema : $attachments
Match All
Show Source
Nested Schema : statusTypeCd
Match All
The code indicates the status type of the case.
Show Source
  • Title: Status Type
    Read Only: true
    The code indicates the status type of the case.
  • Allowed Values: [ "ORA_SVC_ACTIVE", "ORA_SVC_CLOSED", "ORA_SVC_INACTIVE", "ORA_SVC_RESOLVED", "ORA_SVC_SUSPENDED" ]
Nested Schema : stripeCd
Match All
The code indicating the stripe of the case.
Show Source
  • Title: Stripe Code
    Read Only: true
    The code indicating the stripe of the case.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : $attachments-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : category
Match All
The category of the attachment.
Show Source
  • Title: Attachment Category
    Read Only: true
    Default Value: MISC
    The category of the attachment.
  • Allowed Values: [ "MISC" ]
Nested Schema : document
Match All
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : timeUpdated
Match All
Show Source
Nested Schema : document-allOf[1]
Type: object
Show Source
Nested Schema : description
Match All
Show Source
Nested Schema : fileName
Match All
Show Source
  • Title: File Name
    The file name of a file type document.
Nested Schema : id
Match All
Show Source
Nested Schema : mediaType
Match All
Show Source
  • Title: Media Type
    The media type of a file type document.
Nested Schema : size
Match All
Show Source
Nested Schema : timeUpdated
Match All
Show Source
Nested Schema : title
Match All
Show Source
Nested Schema : type
Match All
Show Source
Nested Schema : url
Match All
Show Source
Nested Schema : type
Match All
Show Source
  • Allowed Values: [ "FILE", "WEB_PAGE", "TMURI", "TEXT" ]
Back to Top